For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer Tools
CommunityContact UsConsole
HomeAPI ReferenceDocsChangelog
HomeAPI ReferenceDocsChangelog
  • API Reference
      • POSTAdd new asset to share
      • POSTAdd reviewers to secure share
      • POSTCreate share
      • DELDelete share
      • GETList share reviewers
      • GETList shares
      • DELRemove asset from share
      • DELRemoves reviewers from secure share
      • GETShow Share
      • PATCHUpdate share

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
Developer Tools
CommunityContact UsConsole
API ReferenceShares

Update share

PATCH
https://api.frame.io/v4/accounts/:account_id/shares/:share_id
PATCH
/v4/accounts/:account_id/shares/:share_id
1from frameio import Frameio
2from frameio.shares import UpdateShareParamsData
3import datetime
4
5client = Frameio(
6 token="YOUR_TOKEN_HERE",
7)
8
9client.shares.update(
10 account_id="e07b9e35-e9ca-490b-bd1c-a2d469aa3489",
11 share_id="b51c0218-24ae-4a5b-a4d0-d115ebdb7b5d",
12 data=UpdateShareParamsData(
13 access="public",
14 description="A descriptive summary of the share",
15 downloading_enabled=True,
16 expiration=datetime.datetime.fromisoformat("2026-05-18T17:24:41.759998+00:00"),
17 name="Share Name",
18 passphrase="as!dfj39sd(*",
19 ),
20)
1{
2 "data": {
3 "access": "public",
4 "collection_id": "8fe15161-a1da-49e1-890c-6fe265a8dd60",
5 "commenting_enabled": true,
6 "created_at": "2024-02-02T21:19:24.828948Z",
7 "description": "Description of share",
8 "downloading_enabled": true,
9 "enabled": true,
10 "expiration": "2026-05-18T17:24:41.759998Z",
11 "id": "aa654802-3dfb-44e9-acd2-a63f8db58702",
12 "last_viewed_at": "2024-03-02T21:19:24.828948Z",
13 "name": "Test Share",
14 "short_url": "https://f.io/GGa9wPw5",
15 "updated_at": "2024-02-02T21:19:24.828948Z",
16 "passphrase": "as!dfj39sd(*"
17 }
18}

Update share.
Rate Limits: 10 calls per 1.00 minute(s) per account_user

Was this page helpful?
Previous

User details

Next

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

account_idstringRequiredformat: "uuid"
A UUID String
share_idstringRequiredformat: "uuid"
A UUID String

Request

Share params body
dataobjectRequired

Response headers

x-ratelimit-limitinteger
Rate limit
x-ratelimit-remaininginteger
Rate limit remaining
x-ratelimit-windowinteger
Rate limit window in milliseconds

Response

OK
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error